/**
 * @file   client1.h

 */

#ifndef __CLIENT1_H__
#define __CLIENT1_H__


#define MAXLINELEN 256

extern "C"
{


/* server */
void command_loop(int sd,int vienas_kartas);
char *do_output(int sd);
void do_command(int sd);
int do_connect(char *hostname, int portnum);
void do_disconnect(int sd);
void do_sendf(int sd, char *fmt, ...);
void do_send(int sd, char *buff);
char *do_receive(int sd, char *buff, int maxlen);

void do_julius();
/* komanda misc */
void komanda_die(int);
void komanda_get_version(int);
void komanda_get_status(int);
void komanda_pause_recog(int);
void komanda_terminate_recog(int);
void komanda_resume_recog(int);
void komanda_set_input_handler_on_change(int, char *);

/* komanda grammar */
void komanda_get_graminfo(int sd);
void komanda_change_grammar(int sd, char *prefixpath);
void komanda_add_grammar(int sd, char *prefixpath);
void komanda_delete_grammar(int sd, char *idlist);
void komanda_activate_grammar(int sd, char *idlist);
void komanda_deactivate_grammar(int sd, char *idlist);
void komanda_sync_grammar(int sd);
void komanda_add_words(int sd, char *idstr, char *dictfile);

/* komanda process */
//void komanda_list_process(int sd);
//void komanda_current_process(int sd, char *pname);
//void komanda_shift_process(int sd);
//void komanda_add_process(int sd, char *jconffile);
//void komanda_del_process(int sd, char *pname);
//void komanda_activate_process(int sd, char *pname);
//void komanda_deactivate_process(int sd, char *pname);


#endif /* __CLIENT1_H__ */
}
